#----------------------------------------------------------------------
# The Tix Package stub file. It loads in the Tix Package.
#
#----------------------------------------------------------------------

proc tixInit {directory} {

    #-------------------------------
    # Initialization of the package
    #-------------------------------
    global TIX_SOURCE_DIR

    set TIX_SOURCE_DIR $directory

    #-----------------------------------
    # Initialization of option variables
    #-----------------------------------

    if {![info exists tixOption]} {
	set tixOption(font)         \
	    -*-helvetica-medium-r-normal-*-14-*-*-*-*-*-*-*
	set tixOption(bold_font)    \
	    -*-helvetica-bold-r-normal-*-14-*-*-*-*-*-*-*
	set tixOption(menu_font)    \
	    -*-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
	set tixOption(italic_font)  \
	    -*-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
	set tixOption(courier_font) \
	    -*-courier-medium-r-*-*-14-*-*-*-*-*-*-*
	set tixOption(border1)         2

	if {[tk colormode .] == "color"} {
	    set tixOption(bg)           lightgray
	    set tixOption(fg)           black
	    set tixOption(darker_bg)    gray
	    set tixOption(darker_fg)    black
	    set tixOption(vdark_bg)     gray50
	    set tixOption(vdark_fg)     white
	    set tixOption(active_bg)    gray
	    set tixOption(active_fg)    $tixOption(fg)
	    set tixOption(entry_bg)     $tixOption(bg)
	    set tixOption(sbar_bg)   	$tixOption(darker_bg)
	} else {
	    set tixOption(bg)		white
	    set tixOption(fg)		black
	    set tixOption(darker_bg)	white
	    set tixOption(darker_fg)	black
	    set tixOption(vdark_bg)	black
	    set tixOption(vdark_fg)	white
	    set tixOption(active_bg)	black
	    set tixOption(active_fg)	white
	    set tixOption(entry_bg)	$tixOption(bg)
	    set tixOption(sbar_bg)    	$tixOption(darker_bg)
	}
    }

}
